This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017356 - [RFE] give warning when hosts use mixed package versions in a single RHEV cluster
[RFE] give warning when hosts use mixed package versions in a single RHEV clu...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cathrow
Shai Revivo
infra
: FutureFeature
Depends On:
Blocks: 902971
  Show dependency treegraph
 
Reported: 2013-10-09 13:19 EDT by Marina
Modified: 2016-02-10 14:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-03 02:38:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marina 2013-10-09 13:19:01 EDT
1. Proposed title of this feature request
Give warning when hosts use mixed package versions in a single RHEV cluster.

2. Who is the customer behind the request?
Account: name (acct #) GSS; SYNIVERSE TECHNOLOGIES, INC
TAM customer: no
SRM customer: yes
Strategic: yes

3. What is the nature and description of the request?
Provide a warning message to the user when there is a cluster with RHEV setup that has hosts with mixed package versions. 
For instance: 
Host A has:
kernel x
qemu-kvm xx
libvirt xxx
vdsm xxxx

Host B has 
kernel y
qemu-kvm yy
libvirt yyy
vdsm yyyy

And both hosts are part of the same RHEV cluster.

4. Why does the customer need this? (List the business requirements here)
Mixed versions within same hosts can cause issues during live migration.
But this situation, of having mixed versions is unavoidable on RHEL hosts, and we at least need to notify the customer about it.

5. How would the customer like to achieve this? (List the functional requirements here)
- Similar to the implementation of Power Management missing on a host - a little ! sign next to the cluster object on the Admin Portal.
- Provide a warning message to the Events Tab would be good too.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
When the described scenario occurs, the cluster would have this ! sign + events would log this message.
Would be useful to specify the packages checked (does not have to be exact version number, but it should have the package name - kvm, libvirt, vdsm, kernel).

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
I didn't see.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No.

9. Is the sales team involved in this request and do they have any additional input?
No.

10. List any affected packages or components.
backend + admin portal.

11. Would the customer be able to assist in testing this functionality if implemented? 
GSS would be happy to assist.
Comment 1 Itamar Heim 2014-08-03 02:38:20 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.